openSUSE Security Update : xorg-x11-server (openSUSE-2017-825)

Medium Nessus Plugin ID 101760


The remote openSUSE host is missing a security update.


This update for xorg-x11-server fixes the following issues :

- CVE-2017-10971: Fix endianess handling of GenericEvent to prevent a stack overflow by clients. (bnc#1035283)

- Make sure the type of all events to be sent by ProcXSendExtensionEvent are in the allowed range.

- CVE-2017-10972: Initialize the xEvent eventT with zeros to avoid information leakage.

- Improve retrieval of entropy for generating random authentication cookies (boo#1025084)


Update the affected xorg-x11-server packages.

See Also

Plugin Details

Severity: Medium

ID: 101760

File Name: openSUSE-2017-825.nasl

Version: $Revision: 1.3 $

Type: local

Agent: unix

Published: 2017/07/17

Modified: 2018/01/26

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.5

Vector: CVSS2#AV:N/AC:L/Au:S/C:P/I:P/A:P


Base Score: 8.8

Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:xorg-x11-server, p-cpe:/a:novell:opensuse:xorg-x11-server-debuginfo, p-cpe:/a:novell:opensuse:xorg-x11-server-debugsource, p-cpe:/a:novell:opensuse:xorg-x11-server-extra, p-cpe:/a:novell:opensuse:xorg-x11-server-extra-debuginfo, p-cpe:/a:novell:opensuse:xorg-x11-server-sdk, p-cpe:/a:novell:opensuse:xorg-x11-server-source, cpe:/o:novell:opensuse:42.2

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2017/07/15

Reference Information

CVE: CVE-2017-10971, CVE-2017-10972